#ifndef RECO_H
#define RECO_H

#include <glib.h>

typedef struct {
    gboolean interactive;
    gboolean write_summed;
    gchar *radios;
    gchar *darks;
    gchar *flats;
    gchar *flats_after;
    gchar *output;
    gint width;
    gint height;
    guint num_radios;
    guint num_darks;
    guint num_flats;
    guint radio_step;
    gdouble dark_scale;
    gdouble theta;
    gdouble tau;
    gdouble psi;
    gdouble px;
    gdouble py;
    gdouble px_variation;
    gdouble v_origin[3];
    guint v_size[3];
    gdouble z_spacing;
    GOptionEntry *entries;

    gchar *cache;
} Params;

gboolean    params_okay                 (Params *params);
void        run_simple_reconstruction   (Params *params,
                                         gchar **argv);
void        run_cached_reconstruction   (Params *params,
                                         gchar **argv);

#endif
